<?php

namespace App\Entities\Pergunta;

use App\Utils\Entity;

class Pergunta extends Entity {
	protected $id;
	protected $texto_pergunta;
	protected $id_tipo_pergunta;
	protected $obrigatorio;
	protected $id_formulario;
	protected $ordem;
	protected $ativo;

	public static function builder(): PerguntaBuilder {

		return new PerguntaBuilder();

	}

	/**
	 *
	 * @return int
	 */
	public function getId(): int {

		return $this->id;

	}

	/**
	 *
	 * @return string
	 */
	public function getTextoPergunta(): string {

		return $this->texto_pergunta;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdTipoPergunta(): int {

		return $this->id_tipo_pergunta;

	}

	/**
	 *
	 * @return int
	 */
	public function getObrigatorio(): int {

		return $this->obrigatorio;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdFormulario(): int {

		return $this->id_formulario;

	}

	/**
	 *
	 * @return int
	 */
	public function getOrdem(): int {

		return $this->ordem;

	}

	/**
	 *
	 * @return int
	 */
	public function getAtivo(): int {
		
		return $this->ativo;
		
	}
	
	/**
	 *
	 * @param int $id
	 */
	public function setId(int $id): void {

		$this->id = $id;

	}

	/**
	 *
	 * @param string $texto_pergunta
	 */
	public function setTextoPergunta(string $texto_pergunta): void {

		$this->texto_pergunta = $texto_pergunta;

	}

	/**
	 *
	 * @param int $id_tipo_pergunta
	 */
	public function setIdTipoPergunta(int $id_tipo_pergunta): void {

		$this->id_tipo_pergunta = $id_tipo_pergunta;

	}

	/**
	 *
	 * @param int $obrigatorio
	 */
	public function setObrigatorio(int $obrigatorio): void {

		$this->obrigatorio = $obrigatorio;

	}

	/**
	 *
	 * @param int $id_formulario
	 */
	public function setIdFormulario(int $id_formulario): void {

		$this->id_formulario = $id_formulario;

	}

	/**
	 *
	 * @param int $ordem
	 */
	public function setOrdem(int $ordem): void {

		$this->ordem = $ordem;

	}

	/**
	 *
	 * @param int $ativo
	 */
	public function setAtivo(int $ativo): void {
		
		$this->ativo = $ativo;
		
	}
	
}